#include <bits/stdc++.h>
using namespace std;

string readLine() {
    string s;
    assert(getline(cin, s));
    return s;
}

void assertEOF() {
    string s;
    assert(!getline(cin, s));
}

void assertNumber(string s) {
    assert(s[0] == '+' || s[0] == '-' || isdigit(s[0]));
    for (int i = 1; i < s.size(); i++) assert(isdigit(s[i]));
    if (!isdigit(s[0])) s.erase(0);
    assert(s.size() != 0);
    assert(s.size() == 1 || s[0] != '0');
}

vector<string> readTokens(char delim) {
    string s = readLine();
    if (s.empty()) return {};

    vector<string> tokens(1);
    for (char c: s) {
        if (c == delim) tokens.push_back("");
        else tokens.back().push_back(c);
    }
    return tokens;
}

vector<long long> longlongTokens(char delim) {
    vector<string> a = readTokens(delim);
    vector<long long> b;
    for (string& s: a) {
        b.push_back(stoll(s));
    }
    return b;
}

vector<string> stringTokens(char delim) {
    vector<string> a = readTokens(delim);
    vector<string> b;
    for (string& s: a) {
        b.push_back(s);
    }
    return b;
}

int main() {
    vector<long long> line1 = longlongTokens(' ');
    vector<long long> line2 = longlongTokens(' ');
    assertEOF();

    assert(line1.size() == 1);
    long long n = line1[0];
    assert(2 <= n && n <= 5000);

    assert(line2.size() == n);
    for (int x: line2) {
        assert(1 <= x && x <= 1000);
    }


    int sum = 0;
    int maximum = 0;
    int cnt = 0;
    for (int i = 0; i < n; i++) {
        int a = line2[i];

        sum += a;

        if (a > maximum) {
            maximum = a;
            cnt = 1;
        } else if (a == maximum) {
            cnt++;
        }
    }
    cout << n*maximum-sum << " " << n-cnt << endl;

    return 0;
}
