/* the checker has three arguments:
   - first - name of the input file
   - second - name of the correct output file
   - third - name of the contestant output file */
#include<iostream>
#include<cmath>
#define MAXM 3007
#define PRECISION (1.0e-3)
using namespace std;

long long tout[2], tans[2];
char txt[1024];
int i;
float res;

void prnt(double points,const char message[]) {
    fprintf(stdout,"%f\n",points);
    fprintf(stderr,"%s\n",message);
    exit(0);
}

int main (int argc, char** argv) {
    if(argc<4)prnt(0,"Missing files!");

    FILE *in,*ans,*out;

    in=fopen(argv[1],"rt");
    if(!in)prnt(0,"Could not open input file!");
    ans=fopen(argv[2],"rt");
    if(!ans)prnt(0,"Could not open correct output file!");
    out=fopen(argv[3],"rt");
    if(!out)prnt(0,"Could not open contestant output file!");

    if(fscanf(ans,"%lld %lld",tans, tans+1)!=2) prnt(0,"Could not read answer!");

    i = fscanf(out,"%lld %lld",tout,tout+1);
    switch (i) {
        case 2: res =((tout[0]==tans[0])+(tout[1]==tans[1]))*0.5; break;
        case 1: res = (tout[0]==tans[0])*0.5; break;
        default: prnt(0,"Could not read output!");
    }

    if(fscanf(out,"%s",txt)>0)prnt(0,"Extra data!");
    if (res == 0) prnt(0,"Wrong answer!");
    if (res < 1.0) prnt(0.5,"Partially correct!");
    prnt(1,"OK!");

    return 0;
}

